Subject: [PATCH v11 3/4] drivers/i2c/busses/i2c-at91.c: add new driver

From: [email-masked] (ludovic.desroches)
Date: Thu, 30 Aug 2012 09:35:35 +0200

Le 08/27/2012 03:32 PM, Voss, Nikolaus a ?crit :
> Hi Adian,
>
> Yanes Martinez Adrian wrote on Monday, August 27, 2012 2:46 PM:
>> Le 08/27/2012 12:40 PM, Yanes Martinez Adrian a ?crit :
>>> Hi Ludovic,
>>>
>>>> Tested on at91rm9200, at91sam9261, at91sam9g20 and at91sam9m10 with
>>>> eeprom, temperature sensor and rtc devices (and wolfson chip for
>>>> sam9g20).
>>>
>>> concerning the at91rm9200, what was the amount of bytes you
>> transmitted?
>>>
>>
>>> I have only checked that I can communicate with i2c devices so the
>>> amount is very low (1-4 bytes).
>>
>> IIRC it was from >7 bytes when the issues appeared.
>>
>>> Some months ago I performed some testing[1] with the previous version of
>>> the patch and the main conclusion was that the absence of PDC in the
>>> AT91RM9200 made this driver unusable in such platform.
>
> I didn't get your last post  in that thread. In my opinion RM9200 should really
> be excluded from being configured with this driver, what's your opinion
> Ludovic?
>

After investigation, the transmission issue may concern rm9200, 9261, 
9260 and 9263. The main cause of this issue is we do not have clock 
stretching.
Using a low clock frequency should reduce the underrun issue so this 
driver can be used on those chips but a warning have to be added to 
indicate this potential issue. I'll do it when I'll resend patches for 
DT support.

Regards

Ludovic

> Regards,
> Niko
>
> --
> To unsubscribe from this list: send the line "unsubscribe linux-i2c" in
> the body of a message to majordomo at vger.kernel.org
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
>
>